Skip to main content
PUT
Update transaction

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
integer
required

The transaction ID

Body

application/json
financial_account_id
integer

The ID of the financial account this transaction belongs to. Scoped to the caller's own accounts so a transaction can't be reassigned into another user's account.

amount
number

The amount of the transaction as billed to the account.

currency
string

ISO 4217 currency code.

Required string length: 3
Pattern: ^[A-Z]{3}$
booking_date
string<date-time>

The date when an entry is posted to an account on the financial institutions books. Booking date is required if value date is not provided.

booking_datetime
string<date-time> | null

The date and time when an entry is posted to an account on the financial institutions books.

value_date
string<date-time>

The date at which assets become available to the account owner in case of a credit. Value date is required if booking date is not provided.

value_datetime
string<date-time> | null

The date and time at which assets become available to the account owner in case of a credit.

booked
boolean | null

Whether the transaction is booked (cleared) or not. If false, the transaction is pending.

debtor
object
creditor
object
ultimate_debtor
string | null
ultimate_creditor
string | null
remittance_information
object
additional_data_structured
string | null

An umbrella datapoint used for information that is outside of Berlin Group specification, such as bank- or country-specific fields.

additional_information
string | null

Might be used by the financial institution to transport additional transaction related information.

additional_information_structured
string | null
balance_after_transaction
number | null

The account balance after this transaction. Recommended balance type is INTERIM_BOOKED.

codes
object
currency_exchange
object
external_identifiers
object

Response

message
string
required
Allowed value: "Transaction updated."
data
TransactionResource · object
required